Source-Changes-HG archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

[src/netbsd-1-6]: src/etc Pullup revisions 1.48-1.49 (requested by abs in tic...



details:   https://anonhg.NetBSD.org/src/rev/2bc71cbbfd2c
branches:  netbsd-1-6
changeset: 529922:2bc71cbbfd2c
user:      jmc <jmc%NetBSD.org@localhost>
date:      Sun Jan 26 09:54:59 2003 +0000

description:
Pullup revisions 1.48-1.49 (requested by abs in ticket #1100)
 Among the many things postinstall should check are up to date is... postinstall

diffstat:

 etc/postinstall |  19 ++++++++++++++++++-
 1 files changed, 18 insertions(+), 1 deletions(-)

diffs (35 lines):

diff -r 2418437dd685 -r 2bc71cbbfd2c etc/postinstall
--- a/etc/postinstall   Sun Jan 26 09:51:28 2003 +0000
+++ b/etc/postinstall   Sun Jan 26 09:54:59 2003 +0000
@@ -1,6 +1,6 @@
 #!/bin/sh
 #
-# $NetBSD: postinstall,v 1.16.2.4 2002/12/12 21:46:32 he Exp $
+# $NetBSD: postinstall,v 1.16.2.5 2003/01/26 09:54:59 jmc Exp $
 #
 # Copyright (c) 2002 The NetBSD Foundation, Inc.
 # All rights reserved.
@@ -266,6 +266,23 @@
 #
 
 #
+#      rc
+#
+additem postinstall "/etc/postinstall being up to date"
+do_postinstall()
+{
+       [ -n "$1" ] || err 2 "USAGE: do_postinstall  fix|check"
+       op=$1
+       failed=0
+
+       compare_dir ${op} ${SRC_DIR}/etc ${DEST_DIR}/etc 555 \
+               postinstall
+       failed=$(( ${failed} + $? ))
+
+       return ${failed}
+}
+
+#
 #      defaults
 #
 additem defaults "/etc/defaults/ being up to date"



Home | Main Index | Thread Index | Old Index